<?php

/**
 * This is the model class for table "contratos_conversao_dados_produtos".
 *
 * The followings are the available columns in table 'contratos_conversao_dados_produtos':
 * @property integer $CDP_ID
 * @property integer $CDP_IDCONVERSAO
 * @property integer $CDP_IDPRODUTO
 * @property timestamp $CDP_CREATED
 */
class ContratosConversaoDadosProdutos extends GxActiveRecord {

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'contratos_conversao_dados_produtos';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'ContratoConversaoDadoProduto|ContratosConversaoDadosProdutos', $n);
    }

    public function rules()
    {
        return array(
            array('CDP_IDCONVERSAO, CDP_IDPRODUTO', 'required', 'on' => 'create'),
            array('CDP_ID, CDP_IDCONVERSAO, CDP_IDPRODUTO', 'safe'),
        );
    }

    public function relations()
    {
        return array(
            'PedidoConversao' => [self::BELONGS_TO, 'ContratosConversaoDados', 'CDP_IDCONVERSAO', 'joinType' => 'LEFT JOIN'],
            'Produto' => [self::BELONGS_TO, 'ContratosConversaoProdutos', 'CDP_IDPRODUTO', 'joinType' => 'LEFT JOIN'],
        );
    }

    public static function representingColumn()
    {
        return 'CDP_ID';
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'CDP_ID'          => 'Código',
            'CDP_IDCONVERSAO' => 'Pedido',
            'CDP_IDPRODUTO'   => 'Produto(s)',
        );
    }

    public function beforeSave()
    {
        parent::beforeSave();

        if ($this->isNewRecord) {
            $this->CDP_CREATED = date('Y-m-d H:i:s');
        }
        return true;
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('CDP_ID', $this->CDP_ID);
        $criteria->compare('CDP_IDCONVERSAO', $this->CDP_IDCONVERSAO, true);
        $criteria->compare('CDP_IDPRODUTO', $this->CDP_IDPRODUTO);

        return new CActiveDataProvider($this, array(
                'criteria' => $criteria,
                'pagination' => array(
                    'pageSize' => 20,
                )
            )
        );
    }
}